org.apache.mina.api

## Interface IoFutureListener<V>

All Known Implementing Classes:
  AbstractIoFutureListener

    public interface IoFutureListener<V>

A listener that asynchronously receives the result of a future computation. The listeners will be called from an event pool and so any amount of significant work should not be done in this listener.

Author:
  Apache MINA Project

### Method Summary

Methods
`void` `completed(V result)` Called when the task has completed.
`void` `exception(Throwable t)` Called if there was an exception by the task as it was executing.

### Method Detail

#### exception

    void exception(Throwable t)

Called if there was an exception by the task as it was executing. Expect `CancellationException` of the future was canceled or `ExecutionException` if there was an error executing the task the future was waiting on.

Parameters:
  `t` - an instance of `Throwable`

#### completed

    void completed(V result)

Called when the task has completed. This method provides the result returned by the task.

Parameters:
  `result` - the result returned by the task.